Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class DescribeEventsRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.rds.model.DescribeEventsRequest

    public class DescribeEventsRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DescribeEvents operation`.

This API returns events related to DB Instances, DB Security Groups, DB Snapshots and DB Parameter Groups for the past 14 das. Events specific to a particular DB Instance, database security group, database snapshot or database parameter group can be obtained by providing the name as a parameter. By default, the past hour of events are returned.

See Also:
  `AmazonRDS.describeEvents(DescribeEventsRequest)`

Constructor Summary
`DescribeEventsRequest()`

Method Summary
`Integer` | `getDuration()` The number of minutes to retrieve events for.
`Date` | `getEndTime()` The end of the time interval for which to retrieve events, specified in ISO 8601 format.
`String` | `getMarker()` An optional marker provided in the previous DescribeDBInstances request.
`Integer` | `getMaxRecords()` The maximum number of records to include in the response.
`String` | `getSourceIdentifier()` The identifier of the event source for which events will be returned.
`String` | `getSourceType()` The event source to retrieve events for.
`Date` | `getStartTime()` The beginning of the time interval to retrieve events for, specified in ISO 8601 format.
`void` | `setDuration(Integer duration)` The number of minutes to retrieve events for.
`void` | `setEndTime(Date endTime)` The end of the time interval for which to retrieve events, specified in ISO 8601 format.
`void` | `setMarker(String marker)` An optional marker provided in the previous DescribeDBInstances request.
`void` | `setMaxRecords(Integer maxRecords)` The maximum number of records to include in the response.
`void` | `setSourceIdentifier(String sourceIdentifier)` The identifier of the event source for which events will be returned.
`void` | `setSourceType(String sourceType)` The event source to retrieve events for.
`void` | `setStartTime(Date startTime)` The beginning of the time interval to retrieve events for, specified in ISO 8601 format.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeEventsRequest` | `withDuration(Integer duration)` The number of minutes to retrieve events for.
`DescribeEventsRequest` | `withEndTime(Date endTime)` The end of the time interval for which to retrieve events, specified in ISO 8601 format.
`DescribeEventsRequest` | `withMarker(String marker)` An optional marker provided in the previous DescribeDBInstances request.
`DescribeEventsRequest` | `withMaxRecords(Integer maxRecords)` The maximum number of records to include in the response.
`DescribeEventsRequest` | `withSourceIdentifier(String sourceIdentifier)` The identifier of the event source for which events will be returned.
`DescribeEventsRequest` | `withSourceType(String sourceType)` The event source to retrieve events for.
`DescribeEventsRequest` | `withStartTime(Date startTime)` The beginning of the time interval to retrieve events for, specified in ISO 8601 format.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeEventsRequest

    public DescribeEventsRequest()

Method Detail

### getSourceIdentifier

    public String getSourceIdentifier()

  The identifier of the event source for which events will be returned. If not specified, then all sources are included in the response.

  Returns:
    The identifier of the event source for which events will be returned. If not specified, then all sources are included in the response.

### setSourceIdentifier

    public void setSourceIdentifier(String sourceIdentifier)

  The identifier of the event source for which events will be returned. If not specified, then all sources are included in the response.

  Parameters:
    `sourceIdentifier` - The identifier of the event source for which events will be returned. If not specified, then all sources are included in the response.

### withSourceIdentifier

    public DescribeEventsRequest withSourceIdentifier(String sourceIdentifier)

  The identifier of the event source for which events will be returned. If not specified, then all sources are included in the response.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `sourceIdentifier` - The identifier of the event source for which events will be returned. If not specified, then all sources are included in the response.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSourceType

    public String getSourceType()

  The event source to retrieve events for. If no value is specified, all events are returned.

  Constraints:
  Allowed Values: db-instance, db-parameter-group, db-security-group, db-snapshot

  Returns:
    The event source to retrieve events for. If no value is specified, all events are returned.
  See Also:
    `SourceType`

### setSourceType

    public void setSourceType(String sourceType)

  The event source to retrieve events for. If no value is specified, all events are returned.

  Constraints:
  Allowed Values: db-instance, db-parameter-group, db-security-group, db-snapshot

  Parameters:
    `sourceType` - The event source to retrieve events for. If no value is specified, all events are returned.
  See Also:
    `SourceType`

### withSourceType

    public DescribeEventsRequest withSourceType(String sourceType)

  The event source to retrieve events for. If no value is specified, all events are returned.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Allowed Values: db-instance, db-parameter-group, db-security-group, db-snapshot

  Parameters:
    `sourceType` - The event source to retrieve events for. If no value is specified, all events are returned.
  Returns:
    A reference to this updated object so that method calls can be chained together.
  See Also:
    `SourceType`

### getStartTime

    public Date getStartTime()

  The beginning of the time interval to retrieve events for, specified in ISO 8601 format.

  Returns:
    The beginning of the time interval to retrieve events for, specified in ISO 8601 format.

### setStartTime

    public void setStartTime(Date startTime)

  The beginning of the time interval to retrieve events for, specified in ISO 8601 format.

  Parameters:
    `startTime` - The beginning of the time interval to retrieve events for, specified in ISO 8601 format.

### withStartTime

    public DescribeEventsRequest withStartTime(Date startTime)

  The beginning of the time interval to retrieve events for, specified in ISO 8601 format.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `startTime` - The beginning of the time interval to retrieve events for, specified in ISO 8601 format.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEndTime

    public Date getEndTime()

  The end of the time interval for which to retrieve events, specified in ISO 8601 format.

  Returns:
    The end of the time interval for which to retrieve events, specified in ISO 8601 format.

### setEndTime

    public void setEndTime(Date endTime)

  The end of the time interval for which to retrieve events, specified in ISO 8601 format.

  Parameters:
    `endTime` - The end of the time interval for which to retrieve events, specified in ISO 8601 format.

### withEndTime

    public DescribeEventsRequest withEndTime(Date endTime)

  The end of the time interval for which to retrieve events, specified in ISO 8601 format.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `endTime` - The end of the time interval for which to retrieve events, specified in ISO 8601 format.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDuration

    public Integer getDuration()

  The number of minutes to retrieve events for.

  Returns:
    The number of minutes to retrieve events for.

### setDuration

    public void setDuration(Integer duration)

  The number of minutes to retrieve events for.

  Parameters:
    `duration` - The number of minutes to retrieve events for.

### withDuration

    public DescribeEventsRequest withDuration(Integer duration)

  The number of minutes to retrieve events for.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `duration` - The number of minutes to retrieve events for.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMaxRecords

    public Integer getMaxRecords()

  The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

  Returns:
    The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

### setMaxRecords

    public void setMaxRecords(Integer maxRecords)

  The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

  Parameters:
    `maxRecords` - The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

### withMaxRecords

    public DescribeEventsRequest withMaxRecords(Integer maxRecords)

  The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `maxRecords` - The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMarker

    public String getMarker()

  An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

  Returns:
    An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

### setMarker

    public void setMarker(String marker)

  An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

  Parameters:
    `marker` - An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

### withMarker

    public DescribeEventsRequest withMarker(String marker)

  An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `marker` - An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.